﻿$toolsDir = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$installArgs = '/S /D=' + $toolsDir

$packageArgs = @{
  packageName    = $env:ChocolateyPackageName
  url            = 'https://dist.torproject.org/torbrowser/8.5a9/torbrowser-install-8.5a9_en-US.exe'
  url64bit       = 'https://dist.torproject.org/torbrowser/8.5a9/torbrowser-install-win64-8.5a9_en-US.exe'
  checksum       = '4acb3cce7e507d14503909cdca0ce8a34a80c8cc06eca6942540db0dbe613a60'
  checksum64     = '5be597d0085297cebaa1b6f0af2ca35500fd3a369b6371ef33968ba6cd8ee0c6'
  checksumType   = 'sha256'
  checksumType64 = 'sha256'
  silentArgs     = $installArgs
}

Install-ChocolateyPackage @packageArgs

$files = Get-ChildItem $toolsDir -include *.exe -recurse
foreach ($file in $files) {
    New-Item "$file.ignore" -type file -force | Out-Null
}
